Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.events.generic
Interface GenericTrackingControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface GenericTrackingControl

extends Serializable

Control from which tracking events may be configured, generated, and dispatched to the event service. A tracked event is one which may be persisted to the Portal BT_EVENT database tables.
Refer to the Portal documentation for details on how to configure the Event Service and Behavior Tracking. To persist events generated by this control, you must add the following to the list of 'persistedEventTypes' on the BehaviorTracking MBean: 'GenericTrackingEvent' For example, here are sample entries in the application's META-INF/application-config.xml: ``
You must also add your event type to the BT_EVENT_TYPE database table. Refer to the Behavior Tracking Event Tables section of the Portal Data Dictionary documentation. ( See http://e-docs.bea.com/wlp/docs81/db/4Schemas.html )
The eventType is set as a property on the control. Additional properties are the XML persistence information for this event. See the property editor descriptions for more information on individual properties.
The Event itself is created when the control is instantiated, with the parmeters given as the control properties. You may then add additional attributes to the event with these control methods, and dispatch the event once (if) the event has been configured. It is not required to configure the event with additional attributes before dispatching it.
This control is NOT to be used with JWS, as it requires the HttpServletRequest object, which is unavailable from a JWS.
Control properties:

- eventType The type of event, eg "FooEvent", or "MyShoppingEvent".
- xmlNamespace XML namespace for the schema of the persisted event data, eg: "http://www.bea.com/servers/p13n/xsd/tracking/session-login/1.0.2".
- xsdFile File name of the XSD for the persistec event data schema, eg: "tracking-session-login-1_0_2.xsd".
- schemaKeys List of comma separated Strings that represent the keys of the schema, eg: "application, date, item"

See Also
  `Event`, `EventService`, `TrackingEvent`

Nested Class Summary
`static interface` | `GenericTrackingControl.GenericTrackingParams` Define the properties for this control.

Method Summary
`void` | `dispatch(javax.servlet.http.HttpServletRequest request)` Dispatch a TrackingEvent.
`void` | `setAttribute(String theKey, Serializable theValue)` Set a named event attribute.

Method Detail

### dispatch

    void dispatch(javax.servlet.http.HttpServletRequest request)
                  throws P13nControlException

  Dispatch a TrackingEvent. The type of event is specified on the control property.

  Parameters
    `request` - The HttpServletRequest from the containing page
  Throws
    `P13nControlException` - if request is null, or if errors encountered dispatching event.

### setAttribute

    void setAttribute(String theKey,
                      Serializable theValue)

  Set a named event attribute. Note the GenericTrackingControl doesn't allow removal and listing of attributes, since its underlying implementation requires the Request object, which isn't available until the event is dispatched.

  Parameters
    `theKey` - the attribute name. Can not be null.
    `theValue` - the value of the attribute.
  Throws
    `NullPointerException` - if theKey is null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.